edu.ucsb.nceas.shared.xsd

## Class FileNotFoundException

- java.lang.Object
- - org.kepler.executionWS.xsd.Exception
  - - edu.ucsb.nceas.shared.xsd.IOException
    - - edu.ucsb.nceas.shared.xsd.FileNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class FileNotFoundException
      extends IOException
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNotFoundException()`
    `FileNotFoundException(java.lang.Object exception)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
    `static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
    `static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
    `int` | `hashCode()`

    - ### Methods inherited from class org.kepler.executionWS.xsd.Exception

      `getException, setException`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNotFoundException

          public FileNotFoundException()

    - #### FileNotFoundException

          public FileNotFoundException(java.lang.Object exception)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `IOException`

    - #### getTypeDesc

          public static org.apache.axis.description.TypeDesc getTypeDesc()

      Return type metadata object

    - #### getSerializer

          public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                          java.lang.Class _javaType,
                                                                          javax.xml.namespace.QName _xmlType)

      Get Custom Serializer

    - #### getDeserializer

          public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                              java.lang.Class _javaType,
                                                                              javax.xml.namespace.QName _xmlType)

      Get Custom Deserializer

Copyright © 2023 Regents of the University of California. All Rights Reserved.